Subject: RE: Another requirement [Re: New (-02) version of IPv6 CPE Router draft is available for review]

From: Francois-Xavier Le Bail <[email-masked]>
Date: Fri, 1 Aug 2008 02:47:58 -0700 (PDT)

--- On Thu, 7/31/08, Templin, Fred L <[email-masked]> wrote:
> >From: Hemant Singh (shemant) [mailto:[email-masked]]
> >Sounds good, Fred. Then let's just leave the
> >information in our draft and if anyone in ipv6 @ IETF every
> >raises such an issue, anyone of us
> >can point to the info in our draft or just give the
> >low-down themselves too.
> 
> If I get what you are suggesting, then I'm not sure I
> buy the approach; this document cannot be positioned as the
> BCP for management of sparsely-used prefixes by routers.
> That is outside the scope, and would require treatment
> in a standalone BCP. If there is something specific to
> the ISP/CPE relationship, then that might be a different
> story.

I agree with you, this subject is general to routers.

I found a similar subject in IPv4 world handled by RFC 4632
(BCP) section 5.1 and 5.2.

Any reference in the ipv6 world?

Francois-Xavier

> >-----Original Message-----
> >From: Templin, Fred L
> [mailto:[email-masked]] 
> >Sent: Thursday, July 31, 2008 6:40 PM
> >To: Hemant Singh (shemant); Wes Beebee (wbeebee);
> Francois-Xavier Le
> >Bail
> >Subject: RE: Another requirement [Re: New (-02) version
> of IPv6 CPE
> >Router draft is available for review]
> >
> >>-----Original Message-----
> >>From: Hemant Singh (shemant)
> [mailto:[email-masked]]
> >>Sent: Thursday, July 31, 2008 10:15 AM
> >>To: Wes Beebee (wbeebee); Templin, Fred L;
> Francois-Xavier Le Bail
> >>Subject: RE: Another requirement [Re: New (-02)
> version of
> >>IPv6 CPE Router draft is available for review]
> >>
> >>If no other IPv6 document has this new rule that we
> plan to 
> >add to our 
> >>draft based on Francois' thought, then any new
> draft should reference 
> >>our CPE Router draft.  Since we guys formulated the
> rules, we 
> >can write
> >
> >>a short note in a new draft if the need arises.
> >
> >I have always considered as common-knowledge that a
> requesting 
> >router is
> >responsible for proper stewardship of a prefix that has
> been delegated
> >to it - exactly the same as for any router that
> announces any
> >sparesely-used IP prefix into the routing protocol
> (IPv4 or IPv6).
> >
> >IMHO, this subject is greater in scope than just the
> CPE router prefix
> >delegation use case and also greater in scope than just
> DHCP prefix
> >delegation itself; it is a common-knowledge operational
> consideration
> >for every day Internet routing.
> >
> >Fred
> >[email-masked]  
> >
> >>
> >>Hemant
> >>
> >>-----Original Message-----
> >>From: [email-masked]
> [mailto:[email-masked]] On 
> >>Behalf Of Wes Beebee (wbeebee)
> >>Sent: Thursday, July 31, 2008 4:58 PM
> >>To: Templin, Fred L; Francois-Xavier Le Bail;
> [email-masked]
> >>Subject: RE: Another requirement [Re: New (-02)
> version of IPv6 CPE 
> >>Router draft is available for review]
> >>
> >>> So, is any additional specification needed and
> (if so) should it be
> >>done here or within a broader context?
> >>
> >>If someone writes some other document on proper
> population of routing 
> >>tables/stewardship of prefixes, then the CPE Router
> document can 
> >>reference that other document - but I think that we
> can address this 
> >>specific issue with a single sentence in the CPE
> Router document.
> >>
> >>- Wes
> >>
> >>-----Original Message-----
> >>From: Templin, Fred L
> [mailto:[email-masked]]
> >>Sent: Thursday, July 31, 2008 11:44 AM
> >>To: Francois-Xavier Le Bail; [email-masked];
> Wes Beebee (wbeebee)
> >>Subject: RE: Another requirement [Re: New (-02)
> version of IPv6 CPE 
> >>Router draft is available for review]
> >>
> >> 
> >>
> >>>-----Original Message-----
> >>>From: Francois-Xavier Le Bail
> [mailto:[email-masked]]
> >>>Sent: Thursday, July 31, 2008 8:12 AM
> >>>To: [email-masked]; Wes Beebee (wbeebee)
> >>>Subject: RE: Another requirement [Re: New (-02)
> version of
> >>>IPv6 CPE Router draft is available for review]
> >>>
> >>>--- On Thu, 7/31/08, Wes Beebee (wbeebee)
> <[email-masked]> wrote:
> >>>> The route should go to the LAN ports (for
> the delegate 
> >prefix).  If 
> >>>> the LAN ports happen to not be up,
> doesn't this cause the 
> >packet to 
> >>>> be > dropped?  If the destination
> matches a loopback, then the 
> >>>> packets can be serviced by the loopback. 
> If there is no
> >>LAN port (#
> >>>> of LAN ports = 0), and if the device still
> does DHCPv6 PD
> >>(for other
> >>>> addresses), then a null route may be
> appropriate as long as
> >>the other
> >>
> >>>> addresses get serviced at a higher
> priority.
> >>>
> >>>For example, if the delegated prefix is a /56
> and the CPE use a /64 
> >>>prefix for a subnet on a LAN Bridge and another
> /64 for a subnet on 
> >>>another LAN interface outside the bridge, there
> are many
> >>prefix/subnet
> >>>not used.
> >>>
> >>>Packet to theses unused prefix/subnet will loop
> without a discard or 
> >>>unreachable route.
> >>
> >>But is this so surprising? Any requesting router
> that is delegated a 
> >>prefix is implicitly responsible for proper
> stewardship of 
> >the prefix; 
> >>this is not specific to just the CPE router case.
> >>
> >>So, is any additional specification needed and (if
> so) should it be 
> >>done here or within a broader context?
> >>  
> >>Fred
> >>[email-masked]
> >>
> >>>
> >>>Francois-Xavier
> >>>
> >>>> -----Original Message-----
> >>>> From: [email-masked]
> >>>> [mailto:[email-masked]] On
> Behalf Of Francois-Xavier Le 
> >>>> Bail
> >>>> Sent: Thursday, July 31, 2008 10:17 AM
> >>>> To: [email-masked]
> >>>> Subject: Another requirement [Re: New
> (-02) version of IPv6 CPE 
> >>>> Router draft is available for review]
> >>>> 
> >>>> Another requirement:
> >>>> 
> >>>> The CPE should install a discard (null) or
> unreachable
> >>route for the
> >>>> delegated prefix.
> >>>> 
> >>>> Without, a packet to an unused subnet
> (belonging to the delegated
> >>>> prefix) will loop between the CPE (default
> route to the
> >>Edge Router)
> >>>> and the Edge Router (route for the
> delegated prefix to the CPE).
> >>>> 
> >>>> The only difference between the two
> options is: with unreachable 
> >>>> route the CPE return ICMPv6
> "Destination Unreachable/no route to 
> >>>> destination"
> >>>> message to the source address instead of
> only silently discard the 
> >>>> packet.
> >>>> 
> >>>> Francois-Xavier
> >>>
> >>>
> >>>      
> >>>
> >>>
> >>
> >>
> >

---

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Tue, 5 Aug 2008 10:48:08 -0400

>Or setup option ?
>Or managed by the ISP ?

We see no reason why the null route setup cannot be automated.  If folks
insist to support a manual configuration for this feature, then we may
consider that option too.

Hemant & Wes